<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'fiches_changes_items';

		/* data for selected record, or defaults if none is selected */
		var data = {
			link_out: <?php echo json_encode(array('id' => $rdata['link_out'], 'value' => $rdata['link_out'], 'text' => $jdata['link_out'])); ?>,
			nom_prenom: <?php echo json_encode(array('id' => $rdata['nom_prenom'], 'value' => $rdata['nom_prenom'], 'text' => $jdata['nom_prenom'])); ?>,
			num_identite: <?php echo json_encode($jdata['num_identite']); ?>,
			devises: <?php echo json_encode(array('id' => $rdata['devises'], 'value' => $rdata['devises'], 'text' => $jdata['devises'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for link_out */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'link_out' && d.id == data.link_out.id)
				return { results: [ data.link_out ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nom_prenom */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nom_prenom' && d.id == data.nom_prenom.id)
				return { results: [ data.nom_prenom ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nom_prenom autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'nom_prenom' && d.id == data.nom_prenom.id) {
				$j('#num_identite' + d[rnd]).html(data.num_identite);
				return true;
			}

			return false;
		});

		/* saved value for devises */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'devises' && d.id == data.devises.id)
				return { results: [ data.devises ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

